Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.codecs.mocksep
Class MockSingleIntIndexInput.Reader

    java.lang.Object
      org.apache.lucene.codecs.sep.IntIndexInput.Reader
          org.apache.lucene.codecs.mocksep.MockSingleIntIndexInput.Reader

Enclosing class:
  MockSingleIntIndexInput

    public static class MockSingleIntIndexInput.Reader

extends IntIndexInput.Reader

Just reads a vInt directly from the file.

Constructor Summary
`MockSingleIntIndexInput.Reader(IndexInput in)`

Method Summary
`int` | `next()` Reads next single int

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MockSingleIntIndexInput.Reader

    public MockSingleIntIndexInput.Reader(IndexInput in)

Method Detail

### next

    public int next()
             throws IOException

  Reads next single int

  Specified by:
    `next` in class `IntIndexInput.Reader`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.